(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4833,        155]
NotebookOptionsPosition[      4563,        141]
NotebookOutlinePosition[      4906,        156]
CellTagsIndexPosition[      4863,        153]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"BeginPackage", "[", "\"\<ChybyMer`\>\"", "]"}], "\n", 
 RowBox[{
  RowBox[{"Unprotect", "@@", 
   RowBox[{"Names", "[", "\"\<ChybyMer`*\>\"", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ClearAll", "@@", 
   RowBox[{"Names", "[", "\"\<ChybyMer`*\>\"", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Abs2Int", "::", "usage"}], "=", 
  "\"\<Abs2Int[hodnota, abschyba] p\[RHacek]evede hodnotu s absolutn\[IAcute] \
chybou na Interval\>\""}], "\n", 
 RowBox[{
  RowBox[{"Rel2Int", "::", "usage"}], "=", 
  "\"\<Rel2Int[hodnota, relchyba] p\[RHacek]evede hodnotu s relativn\[IAcute] \
chybou na Interval\>\""}], "\n", 
 RowBox[{
  RowBox[{"Int2Abs", "::", "usage"}], "=", 
  "\"\<Int2Abs[inter] p\[RHacek]evede Interval na dvojici {hodnota, abschyba}\
\>\""}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Int2Rel", "::", "usage"}], "=", 
   "\"\<Int2Rel[inter] p\[RHacek]evede Interval na dvojici {hodnota, \
relchyba}\>\""}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Begin", "[", "\"\<`Private`\>\"", "]"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Abs2Int", "[", 
     RowBox[{"hodnota_", ",", "abschyba_"}], "]"}], ":=", 
    RowBox[{"Interval", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"hodnota", "-", "abschyba"}], ",", 
       RowBox[{"hodnota", "+", "abschyba"}]}], "}"}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Rel2Int", "[", 
     RowBox[{"hodnota_", ",", "relchyba_"}], "]"}], ":=", 
    RowBox[{"Interval", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"hodnota", 
        RowBox[{"(", 
         RowBox[{"1", "-", "relchyba"}], ")"}]}], ",", 
       RowBox[{"hodnota", 
        RowBox[{"(", 
         RowBox[{"1", "+", "relchyba"}], ")"}]}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Int2Abs", "[", "inter_Interval", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"inter", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
         RowBox[{"inter", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"inter", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
         RowBox[{"inter", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Int2Rel", "[", "inter_Interval", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
        RowBox[{"inter", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{"End", "[", "]"}], "\n", 
 RowBox[{
  RowBox[{"Protect", "@@", 
   RowBox[{"Names", "[", "\"\<ChybyMer`*\>\"", "]"}]}], ";"}], "\n", 
 RowBox[{"EndPackage", "[", "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5410066282622023`*^9, 3.5410066282632027`*^9}, 
   3.541006710783454*^9, {3.54100675565094*^9, 3.5410067678741627`*^9}, {
   3.541007147481119*^9, 3.5410071514115124`*^9}}]
},
WindowSize->{707, 867},
WindowMargins->{{72, Automatic}, {Automatic, 90}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4002, 119, 512, "Input",
 InitializationCell->True]
}
]
*)

(* End of internal cache information *)

